Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
step2.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZUserMain", "Language" )
| $SelectCountry = $ini->variable( "eZUserMain", "SelectCountry" )
| $SelectRegion = $ini->variable( "eZUserMain", "SelectRegion" )
| $AnonymousUserGroup = $ini->variable( "eZUserMain", "AnonymousUserGroup" )
| $AutoCookieLogin = eZHTTPTool::getVar( "AutoCookieLogin" )
| $session =& eZSession::globalSession()
| $user =& eZUser::currentUser()
| $mainAddress = eZAddress::mainAddress( $user )
| $addressList = $user->addresses()
| $form_type = "Account Registration"
if($user) | $default_country = 240
| $canada = 39
| $countryList =& eZCountry::getAllArray()
| $stateList =& eZRegion::getCountryArray($default_country)
| $castateList =& eZRegion::getCountryArray($canada)
| $states = array()
| $states_unsorted = array()
foreach($states as $k=> $v) | $sameaddress_checked = 'checked'
| $default_ship_country = $default_country
| $default_bill_country = $default_country
if($next) elseforeach( $states as $k=> $v)($k==$default_bill_state) ? 'selected' | endforeach = substr($v, 0, 26)

## Variable Documentation

## ◆ $addressList

$addressList = $user->addresses()

Definition at line 33 of file step2.php.

## ◆ $AnonymousUserGroup

$AnonymousUserGroup = $ini->variable( "eZUserMain", "AnonymousUserGroup" )

Definition at line 16 of file step2.php.

## ◆ $AutoCookieLogin

$AutoCookieLogin = eZHTTPTool::getVar( "AutoCookieLogin" )

Definition at line 18 of file step2.php.

## ◆ $canada

$canada = 39

Definition at line 40 of file step2.php.

## ◆ $castateList

$castateList =& eZRegion::getCountryArray($canada)

Definition at line 44 of file step2.php.

## ◆ $countryList

$countryList =& eZCountry::getAllArray()

Definition at line 42 of file step2.php.

## ◆ $default_bill_country

$default_bill_country = $default_country

Definition at line 61 of file step2.php.

## ◆ $default_country

if ( $user) $default_country = 240

Definition at line 39 of file step2.php.

## ◆ $default_ship_country

$default_ship_country = $default_country

Definition at line 60 of file step2.php.

## ◆ $form_type

$form_type = "Account Registration"

Definition at line 34 of file step2.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 12 of file step2.php.

## ◆ $Language

$Language = $ini->variable( "eZUserMain", "Language" )

Definition at line 13 of file step2.php.

## ◆ $mainAddress

$mainAddress = eZAddress::mainAddress( $user )

Definition at line 32 of file step2.php.

Referenced by eZAddress\setMainAddress(), eZProduct\vatType(), and eZShippingType\vatType().

## ◆ $sameaddress_checked

foreach ( $states as $k=> $v) $sameaddress_checked = 'checked'

Definition at line 58 of file step2.php.

## ◆ $SelectCountry

$SelectCountry = $ini->variable( "eZUserMain", "SelectCountry" )

Definition at line 14 of file step2.php.

## ◆ $SelectRegion

$SelectRegion = $ini->variable( "eZUserMain", "SelectRegion" )

Definition at line 15 of file step2.php.

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 20 of file step2.php.

## ◆ $stateList

$stateList =& eZRegion::getCountryArray($default_country)

Definition at line 43 of file step2.php.

## ◆ $states

$states = array()

Definition at line 47 of file step2.php.

Referenced by eZContentObjectState\fetchByConditions(), eZContentObjectState\fetchById(), eZContentObjectState\fetchByIdentifier(), eZContentObjectStateGroup\limitationValues(), eZContentObjectStateGroup\removeByID(), eZContentObjectStateGroup\removeStatesByID(), and eZContentObjectStateGroup\reorderStates().

## ◆ $states_unsorted

foreach ( $stateList as $state) $states_unsorted = array()

Definition at line 48 of file step2.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 31 of file step2.php.

## ◆ endforeach

foreach ($countryList as $country) ( $country[ 'ID']==$default_ship_country) ? 'selected' endforeach = substr($v, 0, 26)

Definition at line 244 of file step2.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.